Subject: Re: [PATCHv2] bond_alb: don't disable softirq under bond_alb_xmit

From: Andy Gospodarek <[email-masked]>
Date: Wed, 11 Jan 2012 16:26:36 -0500

On Wed, Jan 11, 2012 at 12:52:46PM -0800, David Miller wrote:
> From: Maxim Uvarov <[email-masked]>
> Date: Mon,  9 Jan 2012 14:01:37 -0800
> 
> > No need to lock soft irqs under bond_alb_xmit()
> > which already has softirq disabled.
> > 
> > Changes:
> > 1. add non-bh/bh version to tlb_clear_slave()
> > 
> > 2. represent BH and non BH hash table locks
> > _lock_rx_hashtbl_bh/_unlock_rx_hashtbl_bh
> > _lock_rx_hashtbl/_unlock_rx_hashtbl
> > _lock_tx_hashtbl_bh/_unlock_tx_hashtbl_bh
> > _lock_tx_hashtbl/_unlock_tx_hashtbl
> > 
> > Signed-off-by: Maxim Uvarov <[email-masked]>
> > Signed-off-by: Cong Wang <[email-masked]>
> 
> Applied, thanks.

Thanks, Dave.  I'm still testing, but everything looks good so far.  I
ran into an issue with my test system and it took longer to get going
than I expected.  I should be done later tonight and will post if I find
anything wrong.

It's probably too late, but you can feel free to add a

Signed-off-by: Andy Gospodarek <[email-masked]>

if you want.